Page MenuHomePhabricator

Modularize Herald fields and actions
Closed, ResolvedPublic

Description

Herald conditions are currently hard-coded and should be modularized to support other infrastructure changes (custom field selects, outbound mail rules).

Details

Commits
rP5f76c71d781c: Share target filtering code in HeraldAction
rPa3e2f655eb87: Modularize the Diffusion/Differential "Block" Herald actions
rP6f6d88794b25: Modularize the Diffusion "Add Auditors" Herald action
rP776caa507b15: Modularize the Harbormaster "Run build plan" Herald action
rPfdd379a026c3: Modularize the Legalpad "Require Signature" Herald Action
rPa335004a91a9: Modularize Differential Reviewer actions in Herald
D13706 / rP8d8ee18ce0fd: Modularize Maniphest Herald "Assign Task" action
D13705 / rP37829926702b: Modularize "add projects" and "remove projects" Herald actions
D13701 / rP51fead17cf13: Modularize "Send an Email" Herald actions
D13699 / rP8ae08a3de70b: Make "Add Subscribers" and "Remove Subscribers" Herald actions modular
D13649 / rP8d9bd791f7f2: Modularize Herald "flag" action, plus update transcripts
D13646 / rP56dd5211f0d0: Make Herald action modularization more aggressive
D13644 / rPe0861bf240cf: Rename "HeraldAction" to "HeraldActionRecord"
D13619 / rP0306eb70edfc: Group and order Herald fields
D13618 / rP97ccd936709c: Support "Select" custom fields in Herald rules
D13616 / rP715233fb6115: Fully modularize Herald field values
D13614 / rPed3dfd491f17: Further modularize Herald values
D13613 / rPa9caab49f7b5: Begin modularizing Herald field values
D13612 / rPb2b739c709aa: Reduce code duplication in Herald fields
D13601 / rPe8f063de25c1: Modularize Herald Diffusion pre-commit content fields
D13600 / rPf9134fc33199: Modularize all Herald pre-commit ref fields
D13598 / rP00b98eca541c: Modularize all DifferentialRevision fields
D13590 / rPc013108675ef: Modernize all Herald DifferentialDiff fields
D13567 / rP98ac0a022c90: Modularize all Diffusion commit Herald fields
D13514 / rP68de3dae9ab0: Modularize all remaining Phriction Herald fields
D13513 / rP415e4d4cc135: Modularize all remaining Pholio Herald fields
D13501 / rP83c0fda28059: Modularize all remaining Maniphest Herald fields
D13500 / rPc02c83108d21: Modularize Herald task status/priority fields
D13499 / rP9f220995b246: Modularize Application Email Herald field
D13498 / rPbfbc0e638ddf: Remove vestigal "tags" stuff from Herald
D13497 / rP4c23d5cfae54: Make Herald custom field integration modular
D13495 / rP59c294457f71: Modularize more Herald fields
D13488 / rPb266412f3ee8: Begin modularizing Herald fields

Related Objects

StatusAssignedTask
Invalidepriestley
Resolvedepriestley
Resolvedepriestley
OpenNone
Openepriestley
Wontfixepriestley
Resolvedchad
Wontfixepriestley
Resolvedepriestley
InvalidNone
Openepriestley
Resolvedchad
Resolvedchad
Resolvedchad
OpenNone
OpenNone
OpenNone
Resolvedepriestley
ResolvedNone
Resolvedepriestley
Resolvedjoshuaspence
ResolvedNone
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley
Resolvedepriestley

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
epriestley raised the priority of this task from to Normal.
epriestley updated the task description. (Show Details)
epriestley added a project: Herald.
epriestley added a subscriber: epriestley.
eadler added a subscriber: eadler.Jul 3 2015, 7:48 PM
epriestley renamed this task from Modularize Herald conditions to Modularize Herald fields.Jul 8 2015, 9:55 AM
epriestley renamed this task from Modularize Herald fields to Modularize Herald fields and actions.Jul 24 2015, 3:35 PM

I've deployed this to this server, let me know if anyone catches anything suspicious with Herald.

epriestley closed this task as Resolved.Aug 6 2015, 2:52 PM

Thing seem quiet now.

This comment was removed by epriestley.